// Shader for the custom map "Loffy's Madness" (beta 3).
// Game: Enemy Territory. Mod: Domination.
// By Loffy, Sweden (http://www.loffy.tk), August 2005.


textures/lm_tex/thisisdualobj
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/theobjis
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/whileprotecting
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/mapinfohere
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/sd_panelsided01
{
	nopicmip
	surfaceparm metalsteps
	implicitMap -
}

textures/lm_tex/sd_paneld03
{
	nopicmip
	surfaceparm metalsteps
	implicitMap -
}

textures/lm_tex/sd_paneltram2
{
	nopicmip
	surfaceparm metalsteps
	implicitMap -
}

textures/lm_tex/sd_paneltram3
{
	nopicmip
	surfaceparm metalsteps
	implicitMap -
}

textures/lm_tex/lm_sign_pb // A sign.
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/lm_sign_ctf // A sign.
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/lm_sign_et // A sign.
{
	nopicmip
	surfaceparm woodsteps
	implicitMap -
}

textures/lm_tex/powacademy1 // A sign.
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/loffys_ctf_prefab/lcp_1618 // The numbers 1.618 on a sign (the golden cut).
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/loffys_ctf_prefab/lcp_1337 // The numbers 1337 on a sign (ELITE SPE4K).
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/loffys_ctf_prefab/lcp_allies_sign // A sign that says "Allies".
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/loffys_ctf_prefab/lcp_axis_sign // Dito "Axis".
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/fff_mayhem/sign_alli // Flag.
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/fff_mayhem/sign_axis // Flag.
{
	nopicmip
	nomipmaps
	surfaceparm woodsteps
	implicitMap -
}

textures/fff_mayhem/en_vanlig_pil // An arrow.
{
	surfaceparm woodsteps
	nopicmip
	nomipmaps
	implicitMap -
}

textures/lofmadness/lofmadness_wallred // Just a fun sign.
{
	qer_editorimage levelshots/dom_loffys_madness_b2.jpg
	nopicmip
	nomipmaps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map levelshots/dom_loffys_madness_b2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/sfx/proto_red.jpg
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/lofmadness/lofmadness_sky // The sky shader.
{
	nocompress
	qer_editorimage textures/skies/topclouds.tga
	q3map_sunExt 1 .96 .87 140 140 45 2 16		// Red green blue intensity degrees elevation (0 is a low sun, 90 is noon) deviance and samples
	q3map_lightmapFilterRadius 0 4				// Amount of filtering applied on the lightmap. First value for self (always "0" on sky shaders since skies don't have lightmaps), second value on others.
	q3map_skylight 50 3 								// Amount iterations (e.g.  100 6)
	q3map_nofog

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky

	skyparms textures/skies_sd/wurzburg_env/sky 512 -

	sunshader textures/skies_sd/batterysunfog


	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	}
}


// The next sky shader is identical except the degrees-value.
// The degrees indicate the sun's angle relative to the direcions of the map file.
// A setting of 0 degrees equals east. 90 is north, 180 is west and 270 is south.

textures/lofmadness/lofmadness_sky2
{
	nocompress
	qer_editorimage textures/skies/topclouds.tga
	q3map_sunExt 1 .96 .87 140 320 45 2 16		// Red green blue intensity degrees elevation (0 is a low sun, 90 is noon) deviance and samples
	q3map_lightmapFilterRadius 0 4				// Amount of filtering applied on the lightmap. First value for self (always "0" on sky shaders since skies don't have lightmaps), second value on others.
	q3map_skylight 50 3 								// Amount iterations (e.g.  100 6)
	q3map_nofog

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky

	skyparms textures/skies_sd/wurzburg_env/sky 512 -

	sunshader textures/skies_sd/batterysunfog


	{	fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	}
}


levelshots/dom_loffys_madness_b3_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/dom_loffys_madness_b3_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/dom_loffys_madness_b3_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/dom_loffys_madness_b3_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

// These last textures are made by Drakir (www.drakir.tk).

textures/dom_steelplant/dr_steelplant_07
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_15
{
	surfaceparm metalsteps
	implicitMap -
}


textures/dom_steelplant/dr_steelplant_29
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_30
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_31
{
	surfaceparm metalsteps
	implicitMap -
}

textures/dom_steelplant/dr_steelplant_32
{
	surfaceparm metalsteps
	implicitMap -
}